@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
pico_runtime

Basic runtime support for running pre-main initializers provided by other libraries. More...

## Functions

void | runtime_init (void)
| Run all the initializations that are usually called by crt0.S before entering main.
void __weak | hard_assertion_failure (void)
| Handle a hard_assert condition failure.

## Detailed Description

Basic runtime support for running pre-main initializers provided by other libraries.

This library aggregates the following other libraries (if available):

- hardware_uart
- pico_bit_ops
- pico_divider
- pico_double
- pico_int64_ops
- pico_float
- pico_malloc
- pico_mem_ops
- pico_atomic
- pico_cxx_options
- pico_standard_binary_info
- pico_standard_link
- pico_sync
- pico_printf
- pico_crt0
- pico_clib_interface
- pico_stdio

## Function Documentation

## hard_assertion_failure()

void __weak hard_assertion_failure | ( | void |  | ) |

Handle a hard_assert condition failure.

This weak function provides the default implementation (call panic with "Hard assert") for if a hard_assert condition fail in non debug builds. You can provide your own strong implementation to replace the default behavior

See also
  hard_assert

## runtime_init()

void runtime_init | ( | void |  | ) |

Run all the initializations that are usually called by crt0.S before entering main.

This method is useful to set up the runtime after performing a watchdog or powman reboot via scratch vector.